Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05600 Graphics Trivial Always Jun 4, 2014, 19:12 Nov 24, 2019, 23:18
Tester kamilz View Status Public Platform MAME (Official Binary)
Assigned To couriersud Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver popeye.cpp
Version 0.153 Fixed in Version 0.216 Build 64-bit
Summary 05600: popeye and clones: Final game resolution output is different at original game
Description Game's resolution on Mame 512x448 60Hz Non-Interlaced
Original PCB game output 512x448 30Hz Interlaced [15Khz] *

* almost confirmed
Steps To Reproduce
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems popeye and clones
Attached Files
jpg file icon popeye_01.jpg (191,887 bytes) Jun 4, 2014, 19:12 Uploaded by kamilz
PCB Picture, Scanlines visible
kamilz
jpg file icon popeye_MainPCB_and_RGB_board.jpg (235,009 bytes) Jun 4, 2014, 19:13 Uploaded by kamilz
Game PCB with RGB sub-board
kamilz
jpg file icon popeye_zoomedin.jpg (65,615 bytes) Jun 4, 2014, 19:20 Uploaded by kamilz
Another pic, zoomed in on popeye and olive
kamilz
Relationships
There are no relationship linked to this issue.
Notes
7
User avatar
No.10763
haynor666
Tester
Jun 4, 2014, 20:12
Maybe it was part of conversion kit.
User avatar
No.10765
kamilz
Tester
Jun 4, 2014, 22:35
edited on: Jun 4, 2014, 22:38
Yes, but for an 1982 game, double scan rate is seems unlikely.
Also notice RGB board also Nintendo trademark on it, so it is not 3rd party converter unit which may otherwise added later.
User avatar
No.10766
AWJ
Developer
Jun 5, 2014, 18:44
It's 448 lines interlaced, same as Spy Hunter. Unfortunately MAME currently doesn't have any way to distinguish between interlaced and progressive resolutions.
User avatar
No.10769
kamilz
Tester
Jun 6, 2014, 17:27
edited on: Jun 6, 2014, 17:33
I also think AWJ is right, interlace mode solves 448 lines problem for 15Khz compatibility.
But anyway I asked this to that blog's author (that blog pictures here taken from), this is what he says:

" >> Hi, Kamilz

It's very interesting. At that time, some of Nintendo arcade products had peculiar brightness. Umm,, from my shaky memory, I heard at "2channel" that Popeye's video out put is 512x448 / 15KHz-Interlaced mode. I'm going to investigate it continuously. "

I'll update if anything new comes up.

PS.
I updated report accordingly.
User avatar
No.17186
couriersud
Developer
Nov 22, 2019, 23:27
From commit comments:

- There are now three rendering modes selectable via machine config:
  - false progressive: same as before.
  - Interlaced (scanline skip): only the current field is drawn with
    the other field's scanlines blacked. This gives the same flickering
    impression as interlaced display.
  - Interlaced (bitmap): Bitmap is constructed from odd and even fields.
    Result is comparable to PAL/NTSC videos played back on progressive
    displays without additional processing.

Whilst not perfect the interlaced display is now documented. Closing this.
User avatar
No.17188
couriersud
Developer
Nov 22, 2019, 23:30
Document interlaced display by adding two interlaced modes. See previous comment.
User avatar
No.17207
ICEknight
Tester
Nov 24, 2019, 23:18
edited on: Nov 24, 2019, 23:22
That's a great addition but, rather than being selectable via machine config in this particular case, shouldn't it be a global option since there's many systems which use it?

Also, perhaps "false progressive" shouldn't be MAME's default, since that's not how interlaced games looked.